tigase.jaxmpp.gwt.client.dns

## Class DnsResult

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - tigase.jaxmpp.gwt.client.dns.DnsResult

-     public class DnsResult
      extends com.google.gwt.core.client.JavaScriptObject

  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DnsResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectionFailed(String url)`
    `com.google.gwt.core.client.JsArray<DnsEntry>` | `getBosh()`
    `com.google.gwt.core.client.JsArray<DnsEntry>` | `getC2S()`
    `String` | `getDomain()`
    `String` | `getUrlForHost(String host)`
    `com.google.gwt.core.client.JsArray<DnsEntry>` | `getWebSocket()`
    `boolean` | `hasMore()`
    `String` | `next()`

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DnsResult

          protected DnsResult()

  - ### Method Detail

    - #### connectionFailed

          public final void connectionFailed(String url)

    - #### getBosh

          public final com.google.gwt.core.client.JsArray<DnsEntry> getBosh()

    - #### getC2S

          public final com.google.gwt.core.client.JsArray<DnsEntry> getC2S()

    - #### getDomain

          public final String getDomain()

    - #### getUrlForHost

          public final String getUrlForHost(String host)

    - #### getWebSocket

          public final com.google.gwt.core.client.JsArray<DnsEntry> getWebSocket()

    - #### hasMore

          public final boolean hasMore()

    - #### next

          public final String next()

Copyright © 2006–2019 Tigase. All rights reserved.